<?php
include "../../inc/inc.koneksi.php";

$kodeaw	=$_POST['kodeaw'];
$kodeak	=$_POST['kodeak'];

date_default_timezone_set('Asia/Jakarta');
$jam	=date('H:i:s');

$sql	= mysql_query("SELECT * FROM interface");
$r 		= mysql_fetch_assoc($sql);
$piut	= $r['piutang'];
$utang 	= $r['hutang_dg'];
$labapb = $r['laba_pb'];
$labrug = $r['laba_rugi'];
$nosublpb= substr($labapb,0,3);
$nosublr= substr($labrug,0,3);

$sql1 = mysql_query("SELECT * FROM jurnalum WHERE kode_ju BETWEEN '$kodeaw' AND '$kodeak' AND posting='P' ORDER BY kode_ju");

while($r1=mysql_fetch_array($sql1)){
	$kodeju = $r1['kode_ju'];
	$tanggal= $r1['tanggal'];
	$nourut = $r1['no_urut'];
	$noakun = $r1['noakun'];
	$nobp 	= $r1['nobp'];
	$kodecab= $r1['kode_cab'];
	$nofak	= $r1['nofak'];
	$kodedk	= $r1['kode_dk'];
	$debet	= $r1['debet'];
	$kredit	= $r1['kredit'];
	$ket 	= $r1['keterangan'];
	$user 	= $r1['user'];
	$nosubak= substr($noakun,0,3);
	$kelakun= (int) substr($noakun,0,1);
	
	// --->jika kode dk adalah D (debet)
	if($kodedk=='D'){
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db-$debet WHERE noakun='$noakun'");

		if(!($nobp=='')){
			// --->Jika akun buku pembantu tidak kosong, debet buku pembantu			
			mysql_query("UPDATE akun_bp SET mutasi_db=mutasi_db-$debet WHERE noakun='$nobp'");
		}
		
		// --->jika kode akun buku besar adalah piutang dagang
		if($noakun==$piut){
			$kodepl = substr($nobp,5,4);			
			mysql_query("UPDATE piutang SET jumlah=jumlah+$debet WHERE WHERE kode_pl='$kodepl' AND nofak='$nofak'");
		}
		
		// --->jika kode akun buku besar adalah hutang dagang
		if($noakun==$utang){
			$kodesp = substr($nobp,5,4);			
			mysql_query("UPDATE hutang SET jumlah=jumlah+$debet WHERE kode_sp='$kodesp' AND nofak='$nofak'");
		}
		
		// jika akun adalah rekening laba rugi
		if($kelakun>3){
			// --->laba periode berjalan debet			
			mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db-$debet WHERE noakun='$labapb'");
			
			// --->laba rugi kredit			
			mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd-$debet WHERE noakun='$labrug'");
		}
	}
	else{		
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd-$kredit WHERE noakun='$noakun'");

		if(!($nobp=='')){
			// --->Jika akun buku pembantu tidak kosong, debet buku pembantu			
			mysql_query("UPDATE akun_bp SET mutasi_kd=mutasi_kd-$kredit WHERE noakun='$nobp'");
		}
		
		// --->jika kode akun buku besar adalah piutang dagang
		if($noakun==$piut){
			$kodepl = substr($nobp,5,4);			
			mysql_query("UPDATE piutang SET jumlah=jumlah+$kredit WHERE WHERE kode_pl='$kodepl' AND nofak='$nofak'");
		}
		
		// --->jika kode akun buku besar adalah hutang dagang
		if($noakun==$utang){
			$kodesp = substr($nobp,5,4);
			mysql_query("UPDATE hutang SET jumlah=jumlah-$kredit WHERE kode_sp='$kodesp' AND nofak='$nofak'");
		}
		// jika akun adalah rekening laba rugi
		if($kelakun>3){
			// --->laba periode berjalan kredit			
			mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd-$kredit WHERE noakun='$labapb'");
			
			// --->laba rugi debet			
			mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db-$kredit WHERE noakun='$labrug'");
		}
	}
	mysql_query("DELETE FROM rekapjur WHERE kode_tr='$kodeju'");
}

mysql_query("UPDATE jurnalum SET posting='' WHERE kode_ju BETWEEN '$kodeaw' AND '$kodeak' ");
?>